Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkIVExporter Class Reference

`#include <vtkIVExporter.h>`

Inheritance diagram for vtkIVExporter:

[legend]
Collaboration diagram for vtkIVExporter:

[legend]
List of all members.

## Detailed Description

export a scene into OpenInventor 2.0 format.

Date:
  2002/05/27 14:48:16

Revision:
  1.24

vtkIVExporter is a concrete subclass of vtkExporter that writes OpenInventor 2.0 files.

See also:
  vtkExporter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (64%)
  - Lorensen, Bill (15%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkIVExporter.cxx)`
  - .`h` (`/Rendering/vtkIVExporter.h)`

Tests:
  vtkIVExporter (Tests)

Definition at line 55 of file vtkIVExporter.h.

## Public Types
typedef vtkExporter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
## Static Public Methods
vtkIVExporter * | New ()
int | IsTypeOf (const char *type)
vtkIVExporter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkIVExporter ()
| ~vtkIVExporter ()
void | WriteData ()
void | WriteALight (vtkLight *aLight, FILE *fp)
void | WriteAnActor (vtkActor *anActor, FILE *fp)
void | WritePointData (vtkPoints *points, vtkDataArray *normals, vtkDataArray *tcoords, vtkUnsignedCharArray *colors, FILE *fp)
## Protected Attributes
char * | FileName

## Member Typedef Documentation

typedef vtkExporter vtkIVExporter::Superclass

| Reimplemented from vtkExporter. Definition at line 59 of file vtkIVExporter.h.

## Constructor & Destructor Documentation

vtkIVExporter::vtkIVExporter | ( |  | ) | `[protected]`

vtkIVExporter::~vtkIVExporter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkIVExporter* vtkIVExporter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkIVExporter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkExporter.

int vtkIVExporter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExporter.

virtual int vtkIVExporter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExporter.

vtkIVExporter* vtkIVExporter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkExporter.

void vtkIVExporter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkExporter.

virtual void vtkIVExporter::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify the name of the OpenInventor file to write.

virtual char* vtkIVExporter::GetFileName | ( |  | ) | `[virtual]`

| Specify the name of the OpenInventor file to write.

void vtkIVExporter::WriteData | ( |  | ) | `[protected, virtual]`

| Implements vtkExporter.

void vtkIVExporter::WriteALight | ( | vtkLight * | aLight,
|  | FILE * | fp
| ) | `[protected]`

void vtkIVExporter::WriteAnActor | ( | vtkActor * | anActor,
|  | FILE * | fp
| ) | `[protected]`

void vtkIVExporter::WritePointData | ( | vtkPoints * | points,
|  | vtkDataArray * | normals,
|  | vtkDataArray * | tcoords,
|  | vtkUnsignedCharArray * | colors,
|  | FILE * | fp
| ) | `[protected]`

## Member Data Documentation

char* vtkIVExporter::FileName`[protected]`

| Definition at line 78 of file vtkIVExporter.h.

The documentation for this class was generated from the following file:

- Rendering/vtkIVExporter.h